## class CellColumn : public CellVector

> (table) column class.

## Inheritance:

### Public Methods

  | CellColumn (TableViewer *v, unsigned columnNumber, int width)
  friend int | Compare (CellColumn *c1, CellColumn *c2)
  void | UpdateWidth (int width) make each cell width wide.
  void | UpdatePosition (int delta) move each cell delta left/right.
  void | UpdateHeight (unsigned rownr) resize all cells from index rownr and lower.
  LinePiece* | HitLinePiece (int x, int y) if (x,y) is on a linepiece, return it.
  void | AddCell (Cell *c, bool redraw=True) append cell to column.
  void | DeleteCell (Cell *c, bool redraw=True) delete cell from column.
  void | InsertCell (Cell *c, unsigned n, bool redraw=True) insert cell in column at position n.
  bool | ContainsPt (int x, int y) const
  void | Write (OutputFile *f) write attributes (but not cell contents) to file.
  void | WritePartial (OutputFile *f, int i, List<int> *rowNumbers) write part of column to file (only given rows).
  bool | Read (InputFile *f, unsigned fromRow, double format) read attributes back from file starting at row n.
  int | GetMinimalWidth ()
  int | GetWidth () const
  int | GetMarginWidth () const
  void | UpdateTextPositions ()
  void | CalcLabelPositions ()

### Inherited from CellVector:

### Public Methods

friend int operator==(const CellVector &c1, const CellVector &c2)
void Draw()
void Undraw()
void DrawCells()
void UndrawCells()
void DrawLines()
void UndrawLines()
void DrawLabels()
void UndrawLabels()
void SetGrafport(Grafport *g)
void SetVisible(bool b)
TableViewer* GetViewer() const
bool HasCell(Cell *c)
RowColumnLabel* HitLabel(int x, int y) const
TextAlign::Type GetAlignment() const
void SetAlignment(TextAlign::Type a)
void UpdateAlignment(TextAlign::Type a)
virtual void UpdateNumber(unsigned nr)
virtual void SetLabelsVisible(bool s)
void SetNumber(unsigned nr)
Cell* FirstCell()
Cell* NextCell()
Cell* NthCell(unsigned n)
LinePiece* FirstLine()
LinePiece* NextLine()
LinePiece* NthLine(unsigned n)
unsigned GetNumber() const
RowColumnLabel* GetLabel1() const
RowColumnLabel* GetLabel2() const
void UpdateLabel1(const string *txt)
void UpdateLabel2(const string *txt)
unsigned NrCells() const
int GetIndex(LinePiece *l)
unsigned HasEmptyText()
unsigned HasText(const string *s)
bool IsAllEmpty()
void EmptyCells()

### Protected Fields

List <Cell *> * cells
List <LinePiece *> * lines

### Protected Methods

Grafport* GetGrafport() const

## Documentation

> (table) column class.

`CellColumn(TableViewer *v, unsigned columnNumber, int width)`

`friend int Compare(CellColumn *c1, CellColumn *c2)`

`void UpdateWidth(int width)`
  make each cell width wide.

`void UpdatePosition(int delta)`
  move each cell delta left/right.

`void UpdateHeight(unsigned rownr)`
  resize all cells from index rownr and lower.

`LinePiece* HitLinePiece(int x, int y)`
  if (x,y) is on a linepiece, return it.

`void AddCell(Cell *c, bool redraw=True)`
  append cell to column.

`void DeleteCell(Cell *c, bool redraw=True)`
  delete cell from column.

`void InsertCell(Cell *c, unsigned n, bool redraw=True)`
  insert cell in column at position n.

`bool ContainsPt(int x, int y) const`

`void Write(OutputFile *f)`
  write attributes (but not cell contents) to file.

`void WritePartial(OutputFile *f, int i, List<int> *rowNumbers)`
  write part of column to file (only given rows).

`bool Read(InputFile *f, unsigned fromRow, double format)`
  read attributes back from file starting at row n.

`int GetMinimalWidth()`

`int GetWidth() const`

`int GetMarginWidth() const`

`void UpdateTextPositions()`

`void CalcLabelPositions()`

This class has no child classes.

alphabetic index hierarchy of classes

this page has been generated automatically by doc++

(c)opyright by Malte Zöckler, Roland Wunderling
contact: doc++@zib.de